org.apache.ignite.internal.processors.continuous

## Class StartRoutineDiscoveryMessageV2

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage
  - - org.apache.ignite.internal.processors.continuous.StartRoutineDiscoveryMessageV2

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class StartRoutineDiscoveryMessageV2
    extends AbstractContinuousMessage

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`routineId`

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`boolean` `keepBinary()`
`org.apache.ignite.internal.processors.continuous.StartRequestDataV2` `startRequestData()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`createDiscoCache, id, isMutable, routineId, stopProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### startRequestData

    public org.apache.ignite.internal.processors.continuous.StartRequestDataV2 startRequestData()

Returns:
  Start request data.

#### keepBinary

    public boolean keepBinary()

Returns:
  `True` if keep binary flag was set on continuous handler.

#### ackMessage

    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018